/**
 * Element einer Menge oder Liste.
 * 
 * @author Owyn
 * @version 2007-05-28
 */
public class Tree {

	private String data;
	private Tree left;
	private Tree right;

    /**
     * Erzeugt einen neuen Baumknoten.
     * 
     * @param data Inhalt des Knotens
     */
	public Tree(String data) {
		this.data = data;
		left = null;
		right = null;
	}

    /**
     * Testet, ob ein linker Teilbaum existiert.
     * 
     * @return true, falls ein linker Teilbaum existiert, sonst false.
     */
	public boolean hasLeft() {
		return (left != null);
	}

    /**
     * Testet, ob ein rechter Teilbaum existiert.
     * 
     * @return true, falls ein rechts Teilbaum existiert, sonst false.
     */
	public boolean hasRight() {
		return (right != null);
	}


    /**
	 * Fgt einen String in den Baum/Teilbaum ein.
	 * Der String wird nach alphabetischer Ordnung einsortiert.
     * 
     * @param data der einzufgende String
     */
	public void insert(String data) {

		// ...

	}

    /**
	 * Gibt eine Text-Version des Baums zurck.
     * 
     * @return die In-Order-Darstellung des Baums
     */
	// Gibt den Baum als String in In-Order-Darstellung zurueck
	public String toString() {

		// ...
		return ""; // Diese Zeile lschen!

	}
}
